/* --------------------------------------------------------
 Generated by Lukman Hakim using sql2java (http://sql2java.sourceforge.net/ )
 jdbc driver used at code generation time: net.sourceforge.jtds.jdbc.Driver
 
 Author : Lukman Hakim (lukman.uki@gmail.com) 
 Date Created : 08/12/2017
 --------------------------------------------------------
*/
package com.portofolio.dto;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Max;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class CaraBayarDto {

	private Integer kdCaraBayar;

	@NotNull(message = "carabayar.carabayar.notnull")
	private String namaCaraBayar;

	private Integer kdCaraBayarHead;

	@NotNull(message = "carabayar.reportdisplay.notnull")
	private String reportDisplay;

	private String kodeExternal;

	private String namaExternal;

	private String kdDepartemen;

	@NotNull(message = "carabayar.statusenabled.notnull")
	private Boolean statusEnabled;

	private String noRec;

	private Integer version;

}
